pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: xine-ui versus XF86VidModeSwitchToMode

On Wed, Nov 03, 2010 at 11:48:49PM +0000, Matthias Scheler wrote:
> On Wed, Nov 03, 2010 at 10:31:50PM +0100, Bernd Ernesti wrote:
> > pkgsrc/pkgtools/x11-links/
> > 
> > revision 1.21
> > date: 2010/09/14 19:40:15;  author: tron;  state: Exp;  lines: +3 -5
> > Update "x11-links" package to version 0.60:
> > - Fix a fundamental problem which meant that the package included links
> >   for builtin components that "pkgsrc" will not use because they are too 
> > old.
> > - Remove NetBSD specific "pixman" hack that is no longer necessary.
> Which was necessary to stop "x11-links" picking up libraries from
> base that it shouldn't.
> > There is no fallback to use the version from pkgsrc and in the
> > xf86vidmodeproto ...
> Well, that seems to be the real bug. "xine-ui/Makefile" probably needs
> this line to fix the build:
> .include "../../x11/xf86vidmodeproto/"

IMHO that is already included by the x11/libXxf86vm/buildlink3 one
and seeems not to work.

> The new behaviour is good because it pointed an incossistency between
> system with native X11 and X11 from "pkgsrc".

I would call the changes in xf86vidmodeproto cosmetics and that should not
require that version on the native NetBSD system.
Because from the cvs logs which I added in my last mail they just move some
header files into different packages and thats it.


Home | Main Index | Thread Index | Old Index